Skip to navigation

Republish Connect events for envelopes

View as Markdown

Republishes Connect information for the specified set of envelopes.

To use this method, you must be an account administrator and Connect must be enabled on your account.

The primary use is to republish Connect post failures by including envelope IDs for the envelopes that failed to post in the request. The list of envelope IDs that failed to post correctly can be retrieved by calling to Connect::listEventLogs retrieve the failure log.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Request

This endpoint expects an object: connectFailureFilter

envelopeIdslist of stringsOptional

An array of envelope GUIDs.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

synchronousstringOptional

Must be false. Setting this property to any other value will result in errors.

Response

Successful response.
retryQueuelist of objectsOptional
Details about a Connect failure result.

Errors

400
Bad Request Error